# check_identifier_refractory function

(Shortest import: `from brian2.equations.refractory import check_identifier_refractory)`

brian2.equations.refractory.check_identifier_refractory(identifier)

  Check that the identifier is not using a name reserved for the refractory mechanism. The reserved names are `not_refractory`, `refractory`, `refractory_until`.

  Parameters:

    identifier : str

    > The identifier to check.

  Raises

  `ValueError`

    If the identifier is a variable name used for the refractory mechanism.